package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审核角色配置对象 examine_config
 * 
 * @author boman
 * @date 2022-01-24
 */
public class ExamineConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 栏目id */
    private Long columnId;

    /** 角色ID */
    @Excel(name = "角色ID")
    private String roleId;

    /**
     * 角色ID数组
     */
    private int[] roleIds;
    /**
     * 角色名称
     */
    private String roleName;

    /** 审批等级 */
    @Excel(name = "审批等级")
    private String examineLevel;

    public int[] getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(int[] roleIds) {
        this.roleIds = roleIds;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setColumnId(Long columnId) 
    {
        this.columnId = columnId;
    }

    public Long getColumnId() 
    {
        return columnId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public void setExamineLevel(String examineLevel)
    {
        this.examineLevel = examineLevel;
    }

    public String getExamineLevel() 
    {
        return examineLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("columnId", getColumnId())
            .append("roleId", getRoleId())
            .append("examineLevel", getExamineLevel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("roleName", getRoleName())
            .toString();
    }
}
